Skip to main content
POST
/
photo_avatar
/
add_motion
Add motion
curl --request POST \
  --url https://api.jogg.ai/v1/photo_avatar/add_motion \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "image_url": "<string>",
  "name": "<string>",
  "voice_id": "<string>",
  "description": "<string>",
  "photo_id": "<string>",
  "welcome_msg": "<string>"
}
'
import requests

url = "https://api.jogg.ai/v1/photo_avatar/add_motion"

payload = {
"image_url": "<string>",
"name": "<string>",
"voice_id": "<string>",
"description": "<string>",
"photo_id": "<string>",
"welcome_msg": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_url: '<string>',
name: '<string>',
voice_id: '<string>',
description: '<string>',
photo_id: '<string>',
welcome_msg: '<string>'
})
};

fetch('https://api.jogg.ai/v1/photo_avatar/add_motion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 123,
  "msg": "<string>",
  "data": {
    "avatar_id": 123,
    "motion_id": "<string>",
    "name": "<string>"
  }
}
{
"code": 123,
"msg": "<string>"
}
{
"code": 123,
"msg": "<string>"
}

Authorizations

x-api-key
string
header
required

Body

application/json

Request parameter

image_url
string
required
model
enum<string>
required
Available options:
1.0,
2.0,
2.0-Pro,
3.0
name
string
required
voice_id
string
required
description
string

For Model 1.0, descriptions must be under 300 bytes, and for other models, they must not exceed 1500 bytes.

photo_id
string
welcome_msg
string

If you want to change the default greeting message of the avatar, you can use this parameter to replace it.

Response

OK

code
integer
required

Business status code:

  • 0 - Success

  • 10104 - Record not found

  • 10105 - Invalid API key

  • 18020 - Insufficient credit

  • 18025 - No permission to call APIs.

  • 40000 - Parameter error

  • 50000 - System error

msg
string
required

Response message

data
object